Mailinglist Archive: yast-devel (116 mails)

< Previous Next >
Re: [yast-devel] YaST Workshop 2008
  • From: Zhao Shujing <pearly.zhao@xxxxxxxxxx>
  • Date: Mon, 23 Jun 2008 13:59:02 +0800
  • Message-id: <485F3BA6.7060209@xxxxxxxxxx>
On 06/20/2008 04:59 PM, Martin Vidner wrote:
On Wed, Jun 18, 2008 at 02:19:15PM +0800, Zhao Shujing wrote:
Hi,

This is Pearly Zhao from Oracle Linux team. I'm working on porting YaST to RHEL4/EL4 and RHEL5/EL5. The site of YaST on RHEL/EL is at http://oss.oracle.com/projects/yast/.

About YaST on RHEL/EL, only the main modules and some modules we needed are ported. YaST on RHEL4/EL4 has been opened to download and YaST on RHEL5/EL5 will be uploaded soon. The codes will be contributed as soon as possible too.

I think the codes and experience can help YaST on Fedora or other distributions. So I would like to work on "YaST on other Distributions" http://en.opensuse.org/YaST/Research/YaST_on_other_Distributions

Hi Pearly,

good to hear that!
Would you like to come over to Nuremberg for the workshop? Yes, I
realize that it is a long way and short notice.

I looked at http://oss.oracle.com/projects/yast/ last year and I was
somewhat dissappointed seeing that you were using yast2-2.9.x. That
is old, it comes from SLES9, released in 2004, and we released
SLES10 in 2006 already. Yesterday openSUSE 11.0 came out having
yast2-2.16.x, and SLES 11 will have 2.17.x.
I mean, if you use a code base that is too old, it will not be
possible to merge your patches to the current development tree.

I understand that you have already started porting for RHEL5, right?
Can you share the source/patches with us?

Join us on IRC: irc://irc.opensuse.org/yast for a more direct
conversation.


Hi, Martin

Thanks for your invitation, but for some personal reason, I can't go to Nuremberg to attend the workshop.

Porting YaST to RHEL/EL is for an Oracle product Oracle Enterprise Manager, so we have to use the same version YaST between SLES9 and RHEL4/EL4, though it is old.

YaST for RHEL5/EL5 is ported from the version of SLES10SP1 and it is in testing now. I will share the sources/patches when it is finished.

Best Regards
Pearly
--
To unsubscribe, e-mail: yast-devel+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: yast-devel+help@xxxxxxxxxxxx

< Previous Next >